summaryrefslogtreecommitdiff
path: root/gsm-tvoid
diff options
context:
space:
mode:
authortvoid <tvoid@lesaige.com>2008-04-11 09:17:02 -0600
committertvoid <tvoid@lesaige.com>2008-04-11 09:17:02 -0600
commit318f6b2e2d24bd42e595ae9a13f3b7f5df26c857 (patch)
treed738f5c4deafd30e1383f8affa4b04729ed47c89 /gsm-tvoid
parent67272251547bc999e581eb0d1fcd90b5cb14d469 (diff)
parente24a2e69fbc23ab9b7fcd122905a4af4ebdb55b7 (diff)
Merge commit 'origin/HEAD'
Diffstat (limited to 'gsm-tvoid')
-rwxr-xr-xgsm-tvoid/src/python/capture.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/gsm-tvoid/src/python/capture.sh b/gsm-tvoid/src/python/capture.sh
new file mode 100755
index 0000000..7256f2b
--- /dev/null
+++ b/gsm-tvoid/src/python/capture.sh
@@ -0,0 +1,39 @@
+#! /bin/sh
+
+if [ $1"x" = x ]; then
+ echo "./capture.sh <freq> [duration==10] [decim==112]"
+ echo "Example: ./capture.sh 940.4M"
+ exit 1
+fi
+FREQ=$1
+
+DURATION=$2
+if [ $2"x" = x ]; then
+ DURATION=10
+fi
+DECIM=$3
+if [ $3"x" = x ]; then
+ DECIM=112
+fi
+
+USRP_PROG=usrp_rx_cfile.py
+while :; do
+ which "$USRP_PROG"
+ if [ $? -eq 0 ]; then
+ break
+ fi
+ USRP_PROG=/usr/share/gnuradio/usrp/usrp_rx_cfile.py
+ which "$USRP_PROG"
+ if [ $? -eq 0 ]; then
+ break
+ fi
+
+ echo "ERROR: usrp_rx_cfile.py not found. Make sure it's in your PATH!"
+ exit 1
+done
+
+FILE="capture_${FREQ}_${DECIM}.cfile"
+samples=`expr 64000000 / $DECIM '*' $DURATION`
+echo "Capturing for $DURATION seconds to $FILE ($samples samples)"
+$USRP_PROG -d "$DECIM" -f "$FREQ" -N $samples $FILE
+
personal git repositories of Harald Welte. Your mileage may vary